Subject: bug#28631: 25.3.50; Deactivate mark with Ctrl-g mess up the primary-selection

From: Tino Calancha <[email-masked]>
Date: Thu, 12 Oct 2017 09:52:28 +0900

Tino Calancha <[email-masked]> writes:

> I am biten by this problem from time to time.

> Usually I visit another buffer BUF-B to copy a string STR; then
> I do `winner-undo' to comeback to the initial buffer, BUF-A,  and `yank'
> STR.  Sometimes I found that `yank' insert a string different than STR.
> That's happen if I previously deactivated the mark in BUF-A with C-g.

Since I reported this issue I added the patch into my .emacs and
I don't get this problem anymore.
Maybe someone prefer to fix this issue in another way.
Any comment or suggestion?